Network Security Perimeter Configurations - Get
ネットワーク セキュリティ境界構成を取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/networkSecurityPerimeterConfigurations/{nspConfigName}?api-version=2025-02-01-preview
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
nsp
|
path | True |
string minLength: 38maxLength: 100 pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}\.[a-z][a-z0-9]*$ |
ネットワーク セキュリティ構成名。 |
|
resource
|
path | True |
string |
現在のサブスクリプション内のリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。 |
|
search
|
path | True |
string pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$ |
指定したリソース グループに関連付けられている Azure AI Search サービスの名前。 |
|
subscription
|
path | True |
string |
Microsoft Azure サブスクリプションの一意識別子。 この値は、Azure Resource Manager API またはポータルから取得できます。 |
|
api-version
|
query | True |
string |
各要求に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
構成が正常に取得されました。 |
|
| Other Status Codes |
操作中に予期しないエラーが発生しました。 |
セキュリティ
azure_auth
Microsoft ID プラットフォームでサポートされている暗黙的な許可フローを指定します。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Get an NSP config by name
要求のサンプル
GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/networkSecurityPerimeterConfigurations/00000001-2222-3333-4444-111144444444.assoc1?api-version=2025-02-01-preview
応答のサンプル
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/networkSecurityPerimeterConfigurations/00000001-2222-3333-4444-111144444444.assoc1",
"name": "00000001-2222-3333-4444-111144444444.assoc1",
"type": "Microsoft.Search/searchServices/networkSecurityPerimeterConfigurations",
"properties": {
"provisioningState": "Accepted",
"networkSecurityPerimeter": {
"id": "/subscriptions/subid/resourceGroups/networkRG/providers/Microsoft.Network/networkSecurityPerimeters/perimeter1",
"location": "westus"
},
"resourceAssociation": {
"name": "assoc1",
"accessMode": "Enforced"
},
"profile": {
"name": "profile1",
"accessRulesVersion": "0",
"accessRules": [
{
"name": "rule1",
"properties": {
"direction": "Inbound",
"addressPrefixes": [
"148.0.0.0/8",
"152.4.6.0/24"
]
}
}
]
}
}
}
定義
| 名前 | 説明 |
|---|---|
|
Cloud |
API エラーに関する情報が含まれています。 |
|
Cloud |
エラー コードとメッセージを含む特定の API エラーについて説明します。 |
|
Network |
サーバーのネットワーク セキュリティ境界構成。 |
|
NSPConfig |
ネットワーク セキュリティ境界構成のアクセス規則。 |
|
NSPConfig |
ネットワーク セキュリティ境界構成のアクセス規則のプロパティ。 |
|
NSPConfig |
ネットワーク セキュリティ境界のリソースの関連付け。 |
|
NSPConfig |
構成規則に存在するネットワーク セキュリティ境界プロパティ。 |
|
NSPConfig |
ネットワーク セキュリティ境界構成の境界。 |
|
NSPConfig |
ネットワーク セキュリティ境界構成のプロファイル。 |
|
NSPProvisioning |
検索サービスへのネットワーク セキュリティ境界のプロビジョニングに関する問題を記述するオブジェクト。 |
|
NSPProvisioning |
検索サービスへのネットワーク セキュリティ境界のプロビジョニングに関する問題を説明するプロパティ。 |
CloudError
API エラーに関する情報が含まれています。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー コードとメッセージを含む特定の API エラーについて説明します。 |
|
| message |
string |
問題の原因を示すエラーの簡単な説明 (詳細/デバッグ情報については、'error.message' プロパティを参照してください)。 |
CloudErrorBody
エラー コードとメッセージを含む特定の API エラーについて説明します。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
HTTP 状態コードよりも正確にエラー状態を記述するエラー コード。 特定のエラー ケースをプログラムで処理するために使用できます。 |
| details |
このエラーに関連する入れ子になったエラーが含まれています。 |
|
| message |
string |
エラーの詳細を説明し、デバッグ情報を提供するメッセージ。 |
| target |
string |
特定のエラーのターゲット (たとえば、エラーのプロパティの名前)。 |
NetworkSecurityPerimeterConfiguration
サーバーのネットワーク セキュリティ境界構成。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
リソースの名前 |
| properties.networkSecurityPerimeter |
ネットワーク セキュリティ境界構成の境界。 |
|
| properties.profile |
ネットワーク セキュリティ境界構成のプロファイル。 |
|
| properties.provisioningIssues |
検索サービスへのネットワーク セキュリティ境界のプロビジョニングに関する問題を記述するオブジェクト。 |
|
| properties.provisioningState |
string |
|
| properties.resourceAssociation |
ネットワーク セキュリティ境界のリソースの関連付け。 |
|
| type |
string |
リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
NSPConfigAccessRule
ネットワーク セキュリティ境界構成のアクセス規則。
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
|
| properties |
ネットワーク セキュリティ境界構成のアクセス規則のプロパティ。 |
NSPConfigAccessRuleProperties
ネットワーク セキュリティ境界構成のアクセス規則のプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| addressPrefixes |
string[] |
|
| direction |
string |
|
| fullyQualifiedDomainNames |
string[] |
|
| networkSecurityPerimeters |
構成規則に存在するネットワーク セキュリティ境界プロパティ。 |
|
| subscriptions |
string[] |
NSPConfigAssociation
ネットワーク セキュリティ境界のリソースの関連付け。
| 名前 | 型 | 説明 |
|---|---|---|
| accessMode |
string |
|
| name |
string |
NSPConfigNetworkSecurityPerimeterRule
構成規則に存在するネットワーク セキュリティ境界プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
|
| location |
string |
|
| perimeterGuid |
string |
NSPConfigPerimeter
ネットワーク セキュリティ境界構成の境界。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
|
| location |
string |
|
| perimeterGuid |
string |
NSPConfigProfile
ネットワーク セキュリティ境界構成のプロファイル。
| 名前 | 型 | 説明 |
|---|---|---|
| accessRules |
ネットワーク セキュリティ境界構成のアクセス規則。 |
|
| accessRulesVersion |
string |
|
| name |
string |
NSPProvisioningIssue
検索サービスへのネットワーク セキュリティ境界のプロビジョニングに関する問題を記述するオブジェクト。
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
|
| properties |
検索サービスへのネットワーク セキュリティ境界のプロビジョニングに関する問題を説明するプロパティ。 |
NSPProvisioningIssueProperties
検索サービスへのネットワーク セキュリティ境界のプロビジョニングに関する問題を説明するプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
|
| issueType |
string |
|
| severity |
string |
|
| suggestedAccessRules |
string[] |
|
| suggestedResourceIds |
string[] |